#
# spec file for package drools
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           drools
Version:        7.17.0
Release:        8.37.uyuni3
License:        Apache-2.0
Summary:        A Business Rules Management System (BRMS) solution for Java
URL:            https://drools.jboss.org
Group:          Development/Libraries/Java
Source0:        7.17.0.Final.tar.gz
Source1:        build.sh
Patch0:         drools-CVE-2021-41411.patch
Patch1:         drools-CVE-2022-1415.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  java-devel >= 11
BuildRequires:  xz
BuildArch:      noarch
Provides:       mvn(org.drools:drools-compiler) == 7.17.0
Provides:       mvn(org.drools:drools-core) == 7.17.0
Requires:       java >= 11

%description
Drools Expert is the rule engine and Drools Fusion does complex event processing (CEP)

%prep
%setup -q -c -n src
%patch0 -p1 -d %{name}-%{version}.Final
%patch1 -p1 -d %{name}-%{version}.Final
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a drools-7.17.0.Final/drools-compiler/target/drools-compiler-7.17.0.Final.jar %{buildroot}%{_javadir}/drools-compiler-7.17.0.Final.jar
ln -sf drools-compiler-7.17.0.Final.jar %{buildroot}%{_javadir}/drools-compiler.jar
cp -a drools-7.17.0.Final/drools-core/target/drools-core-7.17.0.Final.jar %{buildroot}%{_javadir}/drools-core-7.17.0.Final.jar
ln -sf drools-core-7.17.0.Final.jar %{buildroot}%{_javadir}/drools-core.jar

%files
%defattr(-,root,root)
%license drools-7.17.0.Final/LICENSE-ASL-2.0.txt
%{_javadir}/*

%changelog
* Tue Nov 22 2022 Thomas Florio <thomas.florio@suse.com>
- Deserialization of Untrusted Data: unsafe data deserialization
  in DroolsStreamUtils.java (bsc#1204879, CVE-2022-1415)
- Added:
  * drools-CVE-2022-1415.patch
* Thu Aug 11 2022 Thomas Florio <thomas.florio@suse.com>
- XEE vulnerability: validator class not used correctly in
  KieModuleModelImpl.java (bsc#1200629, CVE-2021-41411)
- Added:
  * drools-CVE-2021-41411.patch
* Wed Jun  8 2022 Julio González Gil <jgonzalez@suse.com>
- Declare the LICENSE file as license and not doc
* Sat Nov 28 2020 Michael Calmer <mc@suse.com>
- build always with java 11 or higher
* Tue Sep  8 2020 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Do not exclude aarch64
* Wed Mar  6 2019 Frantisek Kobzik <fkobzik@suse.com>
- Update Drools to 7.17.0
- Added:
  7.17.0.Final.tar.gz
- Removed:
  6.3.0.Final.tar.gz
- Release Notes: https://issues.jboss.org/secure/ReleaseNote.jspa
* Tue Dec  4 2018 moio@suse.com
- fixes for SLE 15 compatibility
- Remove:
  * 6.3.0.Final-jdk9.patch
* Tue Nov  7 2017 jgonzalez@suse.com
- Fix build for JDK9
- Add:
  * 6.3.0.Final-jdk9.patch
- Change:
  * build.sh
* Mon Nov  9 2015 moio@suse.com
- Initial version
